=== debian/watch ===
version=3

http://download.savannah.gnu.org/releases/liquidwar/liquidwar-([\d.]+)\.tar\.gz
