## liquidwar 5.6.5

=== debian/changelog ===
liquidwar (5.6.5-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:13 +1100

liquidwar (5.6.5-2build1) noble; urgency=high

  * No change rebuild against liballegro4.4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:38:53 +0100

liquidwar (5.6.5-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 10. (Closes: #957493)
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.5.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 26 Jul 2020 14:13:53 +0200

liquidwar (5.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes mapgen crash (Closes: #716610)
  * Drop patches applied upstream and refresh the others.
  * Update Standards-Version to 4.4.0:
    - remove obsolete menu file
    - switch priority from extra to optional
    - declare that d/rules does not require root
  * Convert to dh-style build.
  * Update to debhelper compat level 12.
  * Point Vcs-* fields to salsa.
  * Remove trailing whitespace in changelog.
  * Enable all hardening options.
  * Add patch to honour CPPFLAGS.
  * Update homepage and watch file.
  * Convert d/copyright to copyright format 1.0.
  * Port makedoc.py to Python 3.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 24 Aug 2019 00:00:27 +0200

liquidwar (5.6.4-6) unstable; urgency=medium

  * Team upload.
  * Add patch to build with fix*-functions in Allegro, instead of
    f*-functions, fixes conflict in glibc. (Closes: #916037)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 09 Dec 2018 21:46:45 +0100
