=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: liquidwar
 Section: games
-Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Barry deFreese <bdefreese@debian.org>,
  Eduard Bloch <blade@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper (>= 9),
+ debhelper-compat (= 13),
  liballegro4-dev,
- python (>= 2.4),
- quilt
-Standards-Version: 3.9.8
-Homepage: http://www.ufoot.org/liquidwar/v5
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/liquidwar/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/liquidwar/
+ python3
+Standards-Version: 4.5.0
+Homepage: https://ufoot.org/liquidwar/v5
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/games-team/liquidwar.git
+Vcs-Browser: https://salsa.debian.org/games-team/liquidwar
 
 Package: liquidwar
 Architecture: any
