=== debian/watch ===
version=4
https://ufoot.org/liquidwar/v5 .*/liquidwar-@ANY_VERSION@@ARCHIVE_EXT@
